%global goipath         git.todevski.com/dean/restic-runner
%global forgeurl        https://git.todevski.com/dean/restic-runner
%global debug_package   %{nil}
%global scm             git

%global commit          cc3cf2f
%global date            20220925

Version:                0

%gometa

Name:           restic-runner
Release:        7%{?dist}
Summary:        Config file driven restic helper
License:        MIT
URL:            %{forgeurl}
Source:         %{forgeurl}/-/archive/%{commit}/%{name}-%{commit}.tar.gz

Requires:       restic

BuildRequires:  git

%description
Config file driven restic helper

%prep
%autosetup -n %{name}-%{commit}

%build
go build -ldflags "-w" -o %{name} .
./%{name} completion bash > %{name}.bash
./%{name} completion zsh > _%{name}

%install
install -m 0755 -vd              %{buildroot}%{_bindir}
install -m 0755 -vd              %{buildroot}%{_datadir}/bash-completion/completions
install -m 0755 -vd              %{buildroot}%{_datadir}/zsh/site-functions
install -m 0755 -vp %{name}      %{buildroot}%{_bindir}/%{name}
install -m 0644 -vp %{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -m 0644 -vp _%{name}     %{buildroot}%{_datadir}/zsh/site-functions/_%{name}

%files
%license LICENSE
%doc *.md
%{_bindir}/*
%{_datadir}/*

%changelog
* Sun Sep 25 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-7
- rebuilt

* Sat Sep 17 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-6
- rebuilt

* Thu Jun 09 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-5
- rebuilt

* Tue May 24 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-4
- rebuilt

* Thu May 19 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-3
- rebuilt

* Thu May 19 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-2
- rebuilt

* Thu May 19 2022 Dean Lindqvist Todevski <dean.todevski@gmail.com> - 0-2
- initial build
